﻿Public Class SampleChart

    Private Sub SampleChart_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' GraphChart.Axes.Visible = True
    End Sub
    Private SelectedAnnotation As Steema.TeeChart.Tools.Annotation
 
    Private Sub DisplayBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DisplayBtn.Click
        Try
            'Dim sBandTool As New Steema.TeeChart.Tools.SeriesBandTool
            'sBandTool.Series = FastLine1
            'GraphChart.Tools.Add(sBandTool)
            GraphChart.Aspect.View3D = False
            GraphChart.Header.Text = "Graph"
            GraphChart.Zoom.Direction = Steema.TeeChart.ZoomDirections.Horizontal
            ' FastLine1.Clear()
            FastLine1.DrawAllPoints = False
            'FastLine1.DrawAllPointsStyle = Steema.TeeChart.Styles.DrawAllPointsStyle.MinMax
            FastLine1.TreatNulls = Steema.TeeChart.Styles.TreatNullsStyle.DoNotPaint
            FastLine1.LinePen.Width = 1
            FastLine1.LinePen.Style = Drawing2D.DashStyle.Solid

            Dim txtReader As New System.IO.StreamReader("..\..\input.txt")
            Dim tmpStr As String()
            While Not txtReader.EndOfStream
                tmpStr = Split(txtReader.ReadLine, ",")
                FastLine1.Add(CDbl(tmpStr(0)), CDbl(tmpStr(1)))
            End While
            txtReader.Close()

            'add a series region tool
            Dim srgn As New Steema.TeeChart.Tools.SeriesRegionTool
            srgn.Series = FastLine1
            srgn.Active = True
            srgn.UseOrigin = True
            srgn.Brush.Style = System.Drawing.Drawing2D.HatchStyle.Vertical
            'set brush transparency
            srgn.Brush.Transparency = 100
            'disabling pen
            srgn.Pen.Visible = False
            'set Foreground color
            srgn.Brush.ForegroundColor = FastLine1.Color

            GraphChart.Tools.Add(srgn)
            
        Catch ex As Exception

        End Try
    End Sub

    Private Sub ZoomBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ZoomBtn.Click
        'create a new fillregion tool
        GraphChart.Width *= 1.9
        GraphChart.Panel.MarginLeft *= (0.9)
        GraphChart.Invalidate()

    End Sub

End Class
